API ReferenceapiclinicalGET /v1/bloodwork/view/{id}

GET /v1/bloodwork/view/\{id\}

Service: clinical · operationId: (none)

View bloodwork via signed S3 URL (TTL: 5 minutes)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Signed URL for bloodwork document

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "patient_id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "file_name": {
      "type": [
        "string",
        "null"
      ]
    },
    "content_type": {
      "type": "string"
    },
    "source": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "signed_url": {
      "type": "string",
      "format": "uri"
    },
    "uploaded_at": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "patient_id",
    "brand_id",
    "file_name",
    "content_type",
    "source",
    "status",
    "signed_url",
    "uploaded_at"
  ]
}

403 Access denied

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Bloodwork not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://clinical.platform.loop.health/v1/bloodwork/view/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"